EDIT - bug #8214

WeaklyRelatedEntityCombobox is not validated
03/29/2019 04:06 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: major Found in Version:

Description

WeaklyRelatedEntityComboboxes set to required are not validated on form submission.
If affects the TaxonNamePopupEditor

Related issues:
Copied to EDIT - bug #8249: WeaklyRelatedEntityCombobox: validation of isRequ... New

Associated revisions

Revision ddb31e64 - 03/29/2019 06:20 PM - Andreas Kohlbecker

fix #8214 fixing required validation for WeaklyRelatedEntityCombobox and centralizing related messages

Revision ee53ccf7 - 03/29/2019 06:21 PM - Andreas Kohlbecker

fix #8214 fixing required validation for WeaklyRelatedEntityCombobox and centralizing related messages

Revision acd5f27e - 04/24/2019 02:54 PM - Andreas Kohlbecker

ref #8214 minor cleanup and improving a TODO comment

History

#1 - 03/29/2019 06:21 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|ddb31e64c51be1{d555999535863cebe68abbd8d.

#2 - 04/01/2019 05:53 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review

#3 - 04/01/2019 05:57 PM - Andreas Kohlbecker
- Status changed from Resolved to In Progress
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 40

the field should only be set on error if the user tries to save the editor or when the focus leaved the field. Otherwise it is not very user friendly to show
validation errors initially.

#4 - 04/11/2019 05:18 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#5 - 04/24/2019 02:34 PM - Andreas Kohlbecker
- Copied to bug #8249: WeaklyRelatedEntityCombobox: validation of isRequired should only happen after user interaction added

#6 - 04/24/2019 02:52 PM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/ddb31e64c51be1fd555999535863cebe68a6bd8d

- Status changed from In Progress to Closed
- Target version changed from Release 5.7 to Release 5.6

- % Done changed from 40 to 100

closing issue after copying the additional requirement to a new ticket #8249. The solution for this additional requirement seems to be a bit time
consuming, therefore | am postponing it this way.
